<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="周排查日期" prop="checkDate">
        <el-date-picker
          v-model="chooseDate"
          @change="handleQuery"
          type="daterange"
          style="width: 508px"
          align="right"
          unlink-panels
          :range-separator="$t('至')"
          :start-placeholder="$t('开始日期')"
          :end-placeholder="$t('结束日期')"
          value-format="yyyy-MM-dd"
          :picker-options="pickerOptions">
        </el-date-picker>
      </el-form-item>

      <el-form-item>
        <el-button type="cyan" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          type="primary"
          icon="el-icon-plus"
          size="mini"
          @click="handleAdd"
          v-hasPermi="['safecheck:weekcheck:add']"
        >新增</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="success"
          icon="el-icon-edit"
          size="mini"
          :disabled="single"
          @click="handleUpdate"
          v-hasPermi="['safecheck:weekcheck:edit']"
        >修改</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="warning"
          icon="el-icon-download"
          size="mini"
          @click="handleExport"
        >导出</el-button>
      </el-col>
<!--      <el-col :span="1.5">-->
<!--        <el-button-->
<!--          type="danger"-->
<!--          icon="el-icon-delete"-->
<!--          size="mini"-->
<!--          :disabled="multiple"-->
<!--          @click="handleDelete"-->
<!--          v-hasPermi="['safecheck:weekcheck:remove']"-->
<!--        >删除</el-button>-->
<!--      </el-col>-->
      <el-col :span="1.5">
        <el-button
          type="primary"
          icon="el-icon-download"
          size="mini"
          :disabled="multiple"
          @click="handleDownload"
        >批量下载Word
        </el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="primary"
          icon="el-icon-download"
          size="mini"
          :disabled="multiple"
          @click="handleDownloadPdf"
        >批量下载PDF
        </el-button>
      </el-col>
	  <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <u-table v-loading="loading"
              use-virtual
              showBodyOverflow="title"
              :row-height="60"
              :data="weekcheckList" @selection-change="handleSelectionChange" :height="clientHeight" border>
      <u-table-column type="selection" width="55" align="center" />
      <u-table-column label="周排查日期" align="center" prop="checkDate" width="100">
        <template slot-scope="scope">
          <span>{{ parseTime(scope.row.checkDate, '{y}-{m}-{d}') }}</span>
        </template>
      </u-table-column>
      <u-table-column label="周" align="center" prop="weekNo" :show-overflow-tooltip="true"/>
<!--      <u-table-column label="状态" align="center" prop="status" :show-overflow-tooltip="true"  :formatter="statusFormat"/>-->
      <u-table-column label="上周安全风险隐患问题整改核实情况" align="center" prop="lastWeekRisk" :show-overflow-tooltip="true"/>
      <u-table-column label="本周主要安全风险隐患和整改情况" align="center" prop="thisWeekRisk" :show-overflow-tooltip="true"/>
      <u-table-column label="本周安全管理情况评价" align="center" prop="safeCondition" :show-overflow-tooltip="true"/>
      <u-table-column label="下周工作重点" align="center" prop="nextWeekWork" :show-overflow-tooltip="true"/>
      <u-table-column label="安全管理员姓名" align="center" prop="safeAdminName" :show-overflow-tooltip="true"/>
      <u-table-column label="安全管理员意见" align="center" prop="safeAdminSug" :show-overflow-tooltip="true"/>
      <u-table-column label="安全管理员日期" align="center" prop="safeAdminDate" :show-overflow-tooltip="true"/>
      <u-table-column label="安全总监姓名" align="center" prop="safeDirName" :show-overflow-tooltip="true"/>
      <u-table-column label="安全总监意见" align="center" prop="safeDirSug" :show-overflow-tooltip="true"/>
      <u-table-column label="安全总监日期" align="center" prop="safeDirDate" :show-overflow-tooltip="true"/>

      <u-table-column label="操作" align="center" fixed="right" width="200" class-name="small-padding">
        <template slot-scope="scope">
          <el-button
            v-if="scope.row.status == 0"
            size="mini"
            type="text"
            icon="el-icon-edit"
            @click="handleUpdate(scope.row)"
            v-hasPermi="['safecheck:weekcheck:edit']"
          >修改</el-button>
          <el-button
            v-if="scope.row.status == 0"
            size="mini"
            type="text"
            icon="el-icon-edit"
            @click="cancelHandle(scope.row)"
            v-hasPermi="['safecheck:weekcheck:edit']"
          >中止</el-button>
          <el-button
            v-if="scope.row.status == 1"
            size="mini"
            type="text"
            icon="el-icon-edit"
            @click="handleCancel(scope.row)"
            v-hasPermi="['safecheck:weekcheck:edit']"
          >作废</el-button>
          <el-button
            v-if="scope.row.status == 2 || scope.row.status == 3"
            size="mini"
            type="text"
            icon="el-icon-delete"
            @click="handleDelete(scope.row)"
            v-hasPermi="['safecheck:weekcheck:remove']"
          >删除</el-button>
          <el-button
            v-if="scope.row.status == 1 || scope.row.status == 0"
            size="mini"
            type="text"
            icon="el-icon-document"
            @click="wordView(scope.row)"
          >预览
          </el-button>
        </template>
      </u-table-column>
    </u-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :page-sizes="[20,100,300,500]"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

    <!-- 添加或修改每周安全排查对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="900px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="80px">
        <el-row>
          <el-col :span="12">
            <el-form-item  label-width="150px" label="周排查日期" prop="checkDate">
              <el-date-picker clearable size="small" style="width: 200px" @change="calculateWeekNumber"
                              v-model="form.checkDate"
                              type="date"
                              value-format="yyyy-MM-dd"
                              placeholder="选择周排查日期">
              </el-date-picker>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label-width="150px" label="周" prop="weekNo">
              <el-input v-model="form.weekNo" placeholder="请输入周" />
            </el-form-item>
          </el-col>
        </el-row>

        <el-form-item label-width="150px" label="上周安全风险隐患问题整改核实情况" prop="lastWeekRisk">
          <el-input v-model="form.lastWeekRisk"  :autosize="{ minRows: 2, maxRows: 9}" type="textarea" placeholder="请输入内容" />
        </el-form-item>
        <el-form-item label-width="150px" label="本周主要安全风险隐患和整改情况" prop="thisWeekRisk">
          <el-input v-model="form.thisWeekRisk" :autosize="{ minRows: 2, maxRows: 9}" type="textarea" placeholder="请输入内容" />
        </el-form-item>
        <el-form-item label-width="150px" label="本周安全管理情况评价">
          <el-radio-group v-model="form.safeCondition">
            <el-radio label="安全风险可控，无较大（质量）安全风险隐患">安全风险可控，无较大（质量）安全风险隐患</el-radio>
            <el-radio label="存在安全风险隐患，需尽快采取防范措施">存在安全风险隐患，需尽快采取防范措施</el-radio>
          </el-radio-group>
        </el-form-item>
        <el-form-item label-width="150px" label="下周工作重点" prop="nextWeekWork">
          <el-input v-model="form.nextWeekWork" :autosize="{ minRows: 2, maxRows: 9}" type="textarea" placeholder="请输入内容" />
        </el-form-item>
<!--        <el-form-item label-width="150px" label="安全管理员" prop="safeAdminId">-->
<!--          <el-select v-model="form.safeAdminId" filterable placeholder="安全管理员">-->
<!--            <el-option-->
<!--              v-for="item in userOption"-->
<!--              :key="item.userId"-->
<!--              :label="item.nickName"-->
<!--              :value="item.userId"-->
<!--              >-->
<!--            </el-option>-->
<!--          </el-select>-->
<!--        </el-form-item>-->
        <el-form-item label-width="150px" label="安全管理员意见" prop="safeAdminSug">
          <el-input v-model="form.safeAdminSug" type="textarea" placeholder="请输入内容" />
        </el-form-item>
        <el-form-item label-width="150px" label="安全总监" prop="safeDirId">
          <el-select v-model="form.safeDirId" filterable placeholder="安全总监">
            <el-option
              v-for="item in userOption"
              :key="item.userId"
              :label="item.nickName"
              :value="item.userId"
            >
            </el-option>
          </el-select>
        </el-form-item>
<!--        <el-form-item label-width="150px" label="安全总监意见" prop="safeDirSug">-->
<!--          <el-input v-model="form.safeDirSug" type="textarea" placeholder="请输入内容" />-->
<!--        </el-form-item>-->
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
      <!-- 用户导入对话框 -->
      <el-dialog :title="upload.title" :visible.sync="upload.open" width="400px" append-to-body>
          <el-upload
                  ref="upload"
                  :limit="1"
                  accept=".xlsx, .xls"
                  :headers="upload.headers"
                  :action="upload.url + '?updateSupport=' + upload.updateSupport"
                  :disabled="upload.isUploading"
                  :on-progress="handleFileUploadProgress"
                  :on-success="handleFileSuccess"
                  :auto-upload="false"
                  drag
          >
              <i class="el-icon-upload"></i>
              <div class="el-upload__text">
                  将文件拖到此处，或
                  <em>点击上传</em>
              </div>
              <div class="el-upload__tip" slot="tip">
                  <el-checkbox v-model="upload.updateSupport" />是否更新已经存在的用户数据
                  <el-link type="info" style="font-size:12px" @click="importTemplate">下载模板</el-link>
              </div>
              <div class="el-upload__tip" style="color:red" slot="tip">提示：仅允许导入“xls”或“xlsx”格式文件！</div>
          </el-upload>
          <div slot="footer" class="dialog-footer">
              <el-button type="primary" @click="submitFileForm">确 定</el-button>
              <el-button @click="upload.open = false">取 消</el-button>
          </div>
      </el-dialog>
    <el-dialog  :close-on-click-modal="false" v-loading="loadingFlash" element-loading-background="rgba(0,0,0,0.2)" v-dialogDrag :title="pdf.title"
                :visible.sync="pdf.open" width="1300px" :center="true" append-to-body>
      <div style="margin-top: -60px;float: right;margin-right: 40px;">
        <el-button size="mini" type="text" @click="openPdf">{{ $t('新页面打开PDF') }}</el-button>
      </div>
      <div style="margin-top: -30px">
        <iframe id="iFrame" class="iframe-html" :src="pdf.pdfUrl" frameborder="0" width="100%" height="700px"
                v-if="ppt"></iframe>
      </div>
      <div style="padding: 30px; width: 100%; height: 100%;">
        <el-carousel class="" ref="carousel" arrow="always" v-if="pptView"
                     height="700px" trigger="click" :autoplay="false" indicator-position="outside">
          <el-carousel-item class="lun_img" v-for="item in imgs" v-bind:key="item">
            <img :src="item" width="100%" height="100%" object-fit="cover"/>
          </el-carousel-item>
        </el-carousel>
      </div>
    </el-dialog>
    <form ref="downloadForm2" :action="downloadWordAction" target="FORMSUBMIT">
      <input name="id" v-model="downloadForm2.id" hidden/>
    </form>
    <form ref="downloadFormPdf" :action="downloadWordActionPdf" target="FORMSUBMIT">
      <input name="id" v-model="downloadFormPdf.id" hidden/>
    </form>
  </div>
</template>

<script>
import {wordView,getWeekcheckByWeek,getSafeDirUserId,cancelWeekcheck, listWeekcheck, getWeekcheck, delWeekcheck, addWeekcheck, updateWeekcheck, exportWeekcheck, importTemplate} from "@/api/sems/safecheck/weekcheck";
import { treeselect } from "@/api/system/dept";
import { getToken } from "@/utils/auth";
import Treeselect from "@riophae/vue-treeselect";
import "@riophae/vue-treeselect/dist/vue-treeselect.css";
import {listPostUser} from "@/api/system/user";
import {cancelApprove} from "@/api/ehs/approvedanger";

export default {
  name: "Weekcheck",
  components: { Treeselect },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: false,
      // 总条数
      total: 0,
      // 每周安全排查表格数据
      weekcheckList: [],
      userOption: [],
      // 弹出层标题
      title: "",
      // 部门树选项
      deptOptions: undefined,
      clientHeight:300,
      pptView: false,
      ppt: false,
      loadingFlash: false,
      // 是否显示弹出层
      open: false,
        // 用户导入参数
        upload: {
            // 是否显示弹出层（用户导入）
            open: false,
            // 弹出层标题（用户导入）
            title: "",
            // 是否禁用上传
            isUploading: false,
            // 是否更新已经存在的用户数据
            updateSupport: 0,
            // 设置上传的请求头部
            headers: { Authorization: "Bearer " + getToken() },
            // 上传的地址
            url: process.env.VUE_APP_BASE_API + "/safecheck/weekcheck/importData"
        },
      pdf: {
        title: '',
        pdfUrl: '',
        numPages: null,
        open: false,
        pageNum: 1,
        pageTotalNum: 1,
        loadedRatio: 0,
      },
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 100,
        plantCode: null,
        checkDate: null,
        checkerId: null,
        lastWeekRisk: null,
        thisWeekRisk: null,
        safeCondition: null,
        nextWeekWork: null,
        safeAdminSug: null,
        safeDirSug: null
      },
      //日期快速选择
      pickerOptions: {
        shortcuts: [{
          text: this.$t('最近一周'),
          onClick(picker) {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
            picker.$emit('pick', [start, end]);
          }
        }, {
          text: this.$t('最近一个月'),
          onClick(picker) {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
            picker.$emit('pick', [start, end]);
          }
        }, {
          text: this.$t('最近三个月'),
          onClick(picker) {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
            picker.$emit('pick', [start, end]);
          }
        }]
      },
      //日期选择器
      chooseDate: [],
      // 表单参数
      form: {},
      downloadForm2: {
        id: '',
      },
      downloadWordAction: process.env.VUE_APP_BASE_API + '/safecheck/weekcheck/downloadWeekcheck',
      downloadFormPdf: {
        id: '',
      },
      downloadWordActionPdf: process.env.VUE_APP_BASE_API + '/safecheck/weekcheck/downloadWeekcheckPdf',
      // 表单校验
      rules: {

      }
    };
  },
  watch: {
        // 根据名称筛选部门树
        deptName(val) {
            this.$refs.tree.filter(val);
        }
   },
  created() {
      //设置表格高度对应屏幕高度
      this.$nextTick(() => {
          this.clientHeight = document.body.clientHeight -250
      })
    this.getList();
    this.getTreeselect();
    listPostUser(this.queryParams).then(response => {
      this.userOption = response;
    });

  },
  methods: {
    /** 查询每周安全排查列表 */
    getList() {
      this.loading = true;
      listWeekcheck(this.queryParams).then(response => {
        this.weekcheckList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
     /** 查询部门下拉树结构 */
     getTreeselect() {
          treeselect().then(response => {
              this.deptOptions = response.data;
          });
     },
    // 字典翻译
    statusFormat(row, column) {
      let type = 'info';
       if (row.status == 0) {
         let s = '申请中'
         return <el-tag type={type}>{s}</el-tag>;
       }
      if (row.status == 1) {
        let s = '已完成'
        type = 'success';
        return <el-tag type={type}>{s}</el-tag>;
      }
      if (row.status == 2) {
        let s = '已取消'
        type = 'danger';
        return <el-tag type={type}>{s}</el-tag>;
      }
      if (row.status == 3) {
        let s = '已作废'
        type = 'danger';
        return <el-tag type={type}>{s}</el-tag>;
      }
    },
    calculateWeekNumber() {
       console.log(this.form.checkDate)
      if (this.form.checkDate) {
        const date = new Date(this.form.checkDate);
        const yearStart = new Date(date.getFullYear(), 0, 1);
        const days = Math.floor((date - yearStart) / (24 * 60 * 60 * 1000));
        const weekNumber = Math.ceil((days + yearStart.getDay() + 1) / 7);
        this.form.weekNo = weekNumber;
      }
      const queryData = {}
      queryData.checkDate = this.form.checkDate
      queryData.weekNo =  this.form.weekNo
      getWeekcheckByWeek(queryData).then(response => {
        this.form.lastWeekRisk = response.data.lastWeekRisk;
        this.form.thisWeekRisk = response.data.thisWeekRisk;
        this.form.nextWeekWork = response.data.nextWeekWork;
        this.title = "修改每周安全排查";
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        plantCode: null,
        delFlag: null,
        createrCode: null,
        createdate: null,
        updaterCode: null,
        updatedate: null,
        checkDate: null,
        checkerId: null,
        weekNo: null,
        safeAdminId: null,
        safeAdminName: null,
        safeDirId: null,
        safeDirName: null,
        lastWeekRisk: null,
        thisWeekRisk: null,
        safeCondition: "0",
        nextWeekWork: null,
        safeAdminSug: null,
        safeDirSug: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      if (this.chooseDate == null) {
        this.chooseDate = []
      }
      this.queryParams.startDate = this.chooseDate[0]
      this.queryParams.endDate = this.chooseDate[1]
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.chooseDate = "";
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.form.safeAdminSug = '同意'
      getSafeDirUserId().then(response => {
        this.form.safeDirId = response.data;
      });
      this.title = "添加每周安全排查";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getWeekcheck(id).then(response => {
        response.data.safeAdminId = parseInt(response.data.safeAdminId)
        response.data.safeDirId = parseInt(response.data.safeDirId)
        this.form = response.data;
        this.open = true;
        this.title = "修改每周安全排查";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateWeekcheck(this.form).then(response => {
              this.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addWeekcheck(this.form).then(response => {
              this.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$confirm('是否确认删除?', "警告", {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning"
        }).then(function() {
          return delWeekcheck(ids);
        }).then(() => {
          this.getList();
          this.msgSuccess("删除成功");
        })
    },
    /** 作废按钮操作 */
    handleCancel(row) {
      const ids = row.id ;
      this.$confirm('是否确认作废?', "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function() {
        return cancelWeekcheck(ids);
      }).then(() => {
        this.getList();
        this.msgSuccess("作废成功");
      })
    },
    /** 导出按钮操作 */
    handleExport() {
      const queryParams = this.queryParams;
      this.$confirm('是否确认导出所有每周安全排查数据项?', "警告", {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning"
        }).then(function() {
          return exportWeekcheck(queryParams);
        }).then(response => {
          this.download(response.msg);
        })
    },
      /** 导入按钮操作 */
      handleImport() {
          this.upload.title = "用户导入";
          this.upload.open = true;
      },
      /** 下载模板操作 */
      importTemplate() {
          importTemplate().then(response => {
              this.download(response.msg);
          });
      },
      // 文件上传中处理
      handleFileUploadProgress(event, file, fileList) {
          this.upload.isUploading = true;
      },
      // 文件上传成功处理
      handleFileSuccess(response, file, fileList) {
          this.upload.open = false;
          this.upload.isUploading = false;
          this.$refs.upload.clearFiles();
          this.$alert(response.msg, "导入结果", { dangerouslyUseHTMLString: true });
          this.getList();
      },
      // 提交上传文件
      submitFileForm() {
          this.$refs.upload.submit();
      },
    wordView(row) {
      wordView(row.id).then(response => {
        console.log(response.msg)
        this.handleSee("每周检查记录", response.msg)
      });
    },
    handleSee(fileName, url) {
      //office预览
      this.loadingFlash = true
      this.pdf.open = true
      this.pdf.title = fileName
      this.pdf.pdfUrl = ""
      this.pptView = false
      this.ppt = true
      //如果是PDF等直接可以打开的就不调接口，否则调用接口
      if (fileName.endsWith('pdf')) {
        this.pdf.pdfUrl = process.env.VUE_APP_BASE_API + '/pdf/web/viewer.html?file=' + process.env.VUE_APP_BASE_API + url
        this.loadingFlash = false
      } else {
        const formatDate = new FormData();
        formatDate.append("filepath", url)
        //调用文件预览api
        let res = this.officeConvert.bookConvertCommon(formatDate)
        //查看接受全局方法的返回结果 console.log(res)
        //利用.then方法接受Promise对象
        res.then((result) => {
          //关闭加载中
          this.loadingFlash = false
          if (result.msg.includes("csv")) {
            this.pdf.pdfUrl = process.env.VUE_APP_BASE_API + result.data
            this.$alert(result.msg, this.$t('检查乱码'), {dangerouslyUseHTMLString: true});
            //    this.$message({message: result.msg, center: true,type:'warning',  offset:400, });
          } else if (result.msg.includes("不存在")) {
            //文件不存在时提示
            this.pdf.pdfUrl = ""
            this.$alert(result.msg, this.$t('预览失败'), {dangerouslyUseHTMLString: true});
            //    this.$message({message: result.msg, center: true,type:'warning',  offset:400, });
            this.pdf.open = false
          } else if (result.msg.includes("不支持此格式")) {
            this.pdf.pdfUrl = ""
            this.$alert(result.msg, this.$t('预览失败'), {dangerouslyUseHTMLString: true});
            //    this.$message({message: result.msg, center: true,type:'warning',  offset:400, });
            this.pdf.open = false
          } else {
            //成功时直接给地址
            this.pdf.pdfUrl = process.env.VUE_APP_BASE_API + result.data
          }
        }).catch(result => {
          //请求失败，关闭loading，pdf地址直接为为空，不显示
          this.pdf.pdfUrl = ""
          this.loadingFlash = false;
        })
      }
    },
    //文件预览
    openPdf() {
      //ppt就跳路由预览，office就直接打开文件新页面
      const didi = {imgs: this.imgs}
      if (this.pptView == true && this.ppt == false) {
        let routeUrl = this.$router.resolve({
          path: "/cpms/index.html#/pptyulan",
          query: didi
        });
        window.open("/cpms/index.html#/pptyulan?id=" + this.pdf.pdfUrl, '_blank')
        console.log(this.imgs)
      } else {
        window.open(this.pdf.pdfUrl)
      }
    },
    handleDownload() {
      const ids = this.ids;
      this.downloadForm2.id = ids.join(',')

      this.$nextTick(() => {
        this.$refs['downloadForm2'].submit()
      })
    },
    handleDownloadPdf() {
      const ids = this.ids;
      this.downloadFormPdf.id = ids.join(',')
      this.$nextTick(() => {
        this.$refs['downloadFormPdf'].submit()
      })

    },
    cancelHandle(row){
        if (!row.plantCode) {
          this.$alert("无法中止");
          return
        }
      this.$confirm('是否确认中止流程?', "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function() {
        return cancelApprove(row.plantCode);
      }).then(() => {
        this.getList();
        this.msgSuccess("操作成功");
      })
    },
  }
};
</script>
